    001    package org.junit.validator;
    002
    003    import java.util.List;
    004
    005    import org.junit.runners.model.TestClass;
    006
    007    /**
    008     * Validates a single facet of a test class.
    009     *
    010     * @since 4.12
    011     */
    012    public interface TestClassValidator {
    013        /**
    014         * Validate a single facet of a test class.
    015         *
    016         * @param testClass
    017         *            the {@link TestClass} that is validated.
    018         * @return the validation errors found by the validator.
    019         */
    020        List<Exception> validateTestClass(TestClass testClass);
    021    }